Appearance
Add a new version
PATCH /extensions/{extensionId}
Update an existing extension with a new version
Request
Path Parameters
extensionId
string<uuid>Body
payloadUrl
string<uri>The URL where the extension payload bundle can be downloaded.
payloadBase64
stringThe base64 encoded string of the extension payload bundle.
description
stringsharing
string ;values: restricted |public |private The sharing setting of the extension.
name
stringsetAsDefault
booleanWhen uploading a new version, whether that version becomes the extension's served default. Defaults to auto-promoting only the extension's first published version; use PATCH /extensions/{extensionId}/versions/{version} to change the served default later.
featureAccessKey
[
"string",
"null"
]Key into organizations.feature_access; any org with this flag = true gains access to a restricted extension. Pass null to clear. Superadmin only.
Responses
201
Created
message
string
